public class StatusApi extends Object
| Constructor and Description |
|---|
StatusApi() |
StatusApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
ApiClient |
getApiClient() |
AuthenticatorsResponse |
getAuthenticators()
Details about which authenticators are on the Conjur Server
Response contains three members: installed, configured, and enabled.
|
AuthenticatorsResponse |
getAuthenticators(String xRequestId)
Details about which authenticators are on the Conjur Server
Response contains three members: installed, configured, and enabled.
|
okhttp3.Call |
getAuthenticatorsAsync(String xRequestId,
ApiCallback<AuthenticatorsResponse> _callback)
Details about which authenticators are on the Conjur Server (asynchronously)
Response contains three members: installed, configured, and enabled.
|
okhttp3.Call |
getAuthenticatorsCall(String xRequestId,
ApiCallback _callback)
Build call for getAuthenticators
|
ApiResponse<AuthenticatorsResponse> |
getAuthenticatorsWithHttpInfo()
Details about which authenticators are on the Conjur Server
Response contains three members: installed, configured, and enabled.
|
ApiResponse<AuthenticatorsResponse> |
getAuthenticatorsWithHttpInfo(String xRequestId)
Details about which authenticators are on the Conjur Server
Response contains three members: installed, configured, and enabled.
|
AuthenticatorStatus |
getGCPAuthenticatorStatus(String account)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
AuthenticatorStatus |
getGCPAuthenticatorStatus(String account,
String xRequestId)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
okhttp3.Call |
getGCPAuthenticatorStatusAsync(String account,
String xRequestId,
ApiCallback<AuthenticatorStatus> _callback)
Details whether an authentication service has been configured properly (asynchronously)
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
okhttp3.Call |
getGCPAuthenticatorStatusCall(String account,
String xRequestId,
ApiCallback _callback)
Build call for getGCPAuthenticatorStatus
|
ApiResponse<AuthenticatorStatus> |
getGCPAuthenticatorStatusWithHttpInfo(String account)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
ApiResponse<AuthenticatorStatus> |
getGCPAuthenticatorStatusWithHttpInfo(String account,
String xRequestId)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
AuthenticatorStatus |
getServiceAuthenticatorStatus(String authenticator,
String serviceId,
String account)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
AuthenticatorStatus |
getServiceAuthenticatorStatus(String authenticator,
String serviceId,
String account,
String xRequestId)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
okhttp3.Call |
getServiceAuthenticatorStatusAsync(String authenticator,
String serviceId,
String account,
String xRequestId,
ApiCallback<AuthenticatorStatus> _callback)
Details whether an authentication service has been configured properly (asynchronously)
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
okhttp3.Call |
getServiceAuthenticatorStatusCall(String authenticator,
String serviceId,
String account,
String xRequestId,
ApiCallback _callback)
Build call for getServiceAuthenticatorStatus
|
ApiResponse<AuthenticatorStatus> |
getServiceAuthenticatorStatusWithHttpInfo(String authenticator,
String serviceId,
String account)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
ApiResponse<AuthenticatorStatus> |
getServiceAuthenticatorStatusWithHttpInfo(String authenticator,
String serviceId,
String account,
String xRequestId)
Details whether an authentication service has been configured properly
Once the status webservice has been properly configured and the relevant user groups have been given permissions to access the status webservice, the users in those groups can check the status of the authenticator.
|
void |
setApiClient(ApiClient apiClient) |
WhoAmI |
whoAmI()
Provides information about the client making an API request.
|
WhoAmI |
whoAmI(String xRequestId)
Provides information about the client making an API request.
|
okhttp3.Call |
whoAmIAsync(String xRequestId,
ApiCallback<WhoAmI> _callback)
Provides information about the client making an API request.
|
okhttp3.Call |
whoAmICall(String xRequestId,
ApiCallback _callback)
Build call for whoAmI
|
ApiResponse<WhoAmI> |
whoAmIWithHttpInfo()
Provides information about the client making an API request.
|
ApiResponse<WhoAmI> |
whoAmIWithHttpInfo(String xRequestId)
Provides information about the client making an API request.
|
public StatusApi()
public StatusApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call getAuthenticatorsCall(String xRequestId, ApiCallback _callback) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public AuthenticatorsResponse getAuthenticators(String xRequestId) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public AuthenticatorsResponse getAuthenticators() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public ApiResponse<AuthenticatorsResponse> getAuthenticatorsWithHttpInfo(String xRequestId) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public ApiResponse<AuthenticatorsResponse> getAuthenticatorsWithHttpInfo() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public okhttp3.Call getAuthenticatorsAsync(String xRequestId, ApiCallback<AuthenticatorsResponse> _callback) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | Details about authenticators for this Conjur server | - |
public okhttp3.Call getGCPAuthenticatorStatusCall(String account, String xRequestId, ApiCallback _callback) throws ApiException
account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public AuthenticatorStatus getGCPAuthenticatorStatus(String account, String xRequestId) throws ApiException
account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public AuthenticatorStatus getGCPAuthenticatorStatus(String account) throws ApiException
account - The organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public ApiResponse<AuthenticatorStatus> getGCPAuthenticatorStatusWithHttpInfo(String account, String xRequestId) throws ApiException
account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public ApiResponse<AuthenticatorStatus> getGCPAuthenticatorStatusWithHttpInfo(String account) throws ApiException
account - The organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public okhttp3.Call getGCPAuthenticatorStatusAsync(String account, String xRequestId, ApiCallback<AuthenticatorStatus> _callback) throws ApiException
account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public okhttp3.Call getServiceAuthenticatorStatusCall(String authenticator, String serviceId, String account, String xRequestId, ApiCallback _callback) throws ApiException
authenticator - The type of authenticator (required)serviceId - URL-Encoded authenticator service ID (required)account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public AuthenticatorStatus getServiceAuthenticatorStatus(String authenticator, String serviceId, String account, String xRequestId) throws ApiException
authenticator - The type of authenticator (required)serviceId - URL-Encoded authenticator service ID (required)account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public AuthenticatorStatus getServiceAuthenticatorStatus(String authenticator, String serviceId, String account) throws ApiException
authenticator - The type of authenticatorserviceId - URL-Encoded authenticator service IDaccount - The organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public ApiResponse<AuthenticatorStatus> getServiceAuthenticatorStatusWithHttpInfo(String authenticator, String serviceId, String account, String xRequestId) throws ApiException
authenticator - The type of authenticator (required)serviceId - URL-Encoded authenticator service ID (required)account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public ApiResponse<AuthenticatorStatus> getServiceAuthenticatorStatusWithHttpInfo(String authenticator, String serviceId, String account) throws ApiException
authenticator - The type of authenticatorserviceId - URL-Encoded authenticator service IDaccount - The organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public okhttp3.Call getServiceAuthenticatorStatusAsync(String authenticator, String serviceId, String account, String xRequestId, ApiCallback<AuthenticatorStatus> _callback) throws ApiException
authenticator - The type of authenticator (required)serviceId - URL-Encoded authenticator service ID (required)account - The organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response contains info about the result | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The service was not found | - |
| 500 | The response contains info about the result | - |
| 501 | The response contains info about the result | - |
public okhttp3.Call whoAmICall(String xRequestId, ApiCallback _callback) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
public WhoAmI whoAmI(String xRequestId) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
public WhoAmI whoAmI() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
public ApiResponse<WhoAmI> whoAmIWithHttpInfo(String xRequestId) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
public ApiResponse<WhoAmI> whoAmIWithHttpInfo() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
public okhttp3.Call whoAmIAsync(String xRequestId, ApiCallback<WhoAmI> _callback) throws ApiException
xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | Details about the client making the request | - |
| 401 | Authentication information is missing or invalid | - |
Copyright © 2023. All rights reserved.